javax.faces.webapp

## Class ConverterTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.faces.webapp.ConverterTag

- All Implemented Interfaces:
    Serializable, IterationTag, JspTag, Tag

  Deprecated.
  This has been partially replaced by `ConverterELTag`. The remainder of the functionality, namely, the binding facility and the implementation of the `createConverter()` method, is now an implementation detail.

      public class ConverterTag
      extends TagSupport

  ConverterTag is a base class for all JSP custom actions that create and register a `Converter` instance on the `ValueHolder` associated with our most immediate surrounding instance of a tag whose implementation class is a subclass of `UIComponentTag`. To avoid creating duplicate instances when a page is redisplayed, creation and registration of a `Converter` occurs only if the corresponding `UIComponent` was created (by the owning `UIComponentTag`) during the execution of the current page.

  This class may be used directly to implement a generic converter registration tag (based on the converter-id specified by the `converterId` attribute), or as a base class for tag instances that support specific `Converter` subclasses. This `converterId` attribute must refer to one of the well known converter-ids, or a custom converter-id as defined in a `faces-config.xml` file.

  Subclasses of this class must implement the `createConverter()` method, which creates and returns a `Converter` instance. Any configuration properties that specify behavior of this `Converter` must have been set by the `createConverter()` method. Generally, this occurs by copying corresponding attribute values on the tag instance.

  This tag creates no output to the page currently being created. It is used solely for the side effect of `Converter` creation.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConverterTag()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Converter` | `createConverter()` Deprecated. Create and return a new `Converter` to be registered on our surrounding `UIComponent`.
    `int` | `doStartTag()` Deprecated. Create a new instance of the specified `Converter` class, and register it with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTag` instance, if the `UIComponent` instance was created by this execution of the containing JSP page.
    `void` | `release()` Deprecated. Release references to any acquired resources.
    `void` | `setBinding(String binding)` Deprecated. Set the expression that will be used to create a `ValueExpression` that references a backing bean property of the `Converter` instance to be created.
    `void` | `setConverterId(String converterId)` Deprecated. Set the identifer of the `Converter` instance to be created.

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConverterTag

          public ConverterTag()

      Deprecated.

  - ### Method Detail

    - #### setConverterId

          public void setConverterId(String converterId)

      Deprecated.

      Set the identifer of the `Converter` instance to be created.

      Parameters:
        `converterId` - The identifier of the converter instance to be created.

    - #### setBinding

          public void setBinding(String binding)
                          throws JspException

      Deprecated.

      Set the expression that will be used to create a `ValueExpression` that references a backing bean property of the `Converter` instance to be created.

      Parameters:
        `binding` - The new expression
      Throws:
        `JspException` - if a JSP error occurs

    - #### doStartTag

          public int doStartTag()
                         throws JspException

      Deprecated.

      Create a new instance of the specified `Converter` class, and register it with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTag` instance, if the `UIComponent` instance was created by this execution of the containing JSP page. If the localValue of the `UIComponent` is a String, attempt to convert it.

      Specified by:
        `doStartTag` in interface `Tag`
      Overrides:
        `doStartTag` in class `TagSupport`
      Returns:
        SKIP_BODY
      Throws:
        `JspException` - if a JSP error occurs
      See Also:
        `Tag.doStartTag()`

    - #### release

          public void release()

      Deprecated.

      Release references to any acquired resources.

      Specified by:
        `release` in interface `Tag`
      Overrides:
        `release` in class `TagSupport`
      See Also:
        `Tag.release()`

    - #### createConverter

          protected Converter createConverter()
                                       throws JspException

      Deprecated.

      Create and return a new `Converter` to be registered on our surrounding `UIComponent`.

      Throws:
        `JspException` - if a new instance cannot be created

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.